pub use VkFormatFeatureFlags::*;

#[repr(u32)]
#[derive(Clone, Copy, Debug, Eq, PartialEq)]
pub enum VkFormatFeatureFlags {
    VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT = 0x0000_0001,
    VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT = 0x0000_0002,
    VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT = 0x0000_0004,
    VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT = 0x0000_0008,
    VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT = 0x0000_0010,
    VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT = 0x0000_0020,
    VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT = 0x0000_0040,
    VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT = 0x0000_0080,
    VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT = 0x0000_0100,
    VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT = 0x0000_0200,
    VK_FORMAT_FEATURE_BLIT_SRC_BIT = 0x0000_0400,
    VK_FORMAT_FEATURE_BLIT_DST_BIT = 0x0000_0800,
    VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT = 0x0000_1000,
    VK_FORMAT_FEATURE_TRANSFER_SRC_BIT_KHR = 0x0000_4000,
    VK_FORMAT_FEATURE_TRANSFER_DST_BIT_KHR = 0x0000_8000,
    VK_FORMAT_FEATURE_MIDPOINT_CHROMA_SAMPLES_BIT = 0x0002_0000,
    VK_FORMAT_FEATURE_SAMPLED_IMAGE_YCBCR_CONVERSION_LINEAR_FILTER_BIT = 0x0004_0000,
    VK_FORMAT_FEATURE_SAMPLED_IMAGE_YCBCR_CONVERSION_SEPARATE_RECONSTRUCTION_FILTER_BIT =
        0x0008_0000,
}

#[repr(C)]
#[derive(Clone, Copy, Eq, PartialEq, Hash)]
pub struct VkFormatFeatureFlagBits(u32);
SetupVkFlags!(VkFormatFeatureFlags, VkFormatFeatureFlagBits);
